Package ru.bitel.oss.kernel.directories.address.server.bean

# Class ParameterDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.oss.kernel.directories.address.server.bean.ParameterDao

public class ParameterDao extends ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ParameterDao(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deleteAddressParams(String tableId, int recordId)`
  `void`
  `deleteExctraAddressParams(String tableId, List<Integer> recordIds, String key)`
  `String`
  `getAddressParam(String tableId, int recordId, String key)`
  Получение параметра адресного элемента
  `Map<String,String>`
  `getAddressParams(String tableId, int recordId)`
  Получение параметров адресного элемента, в виде ключ - значение
  `Map<String,String>`
  `getAddressParams(ParameterIds parameterIds)`
  `void`
  `updateAddressParams(String tableId, int recordId, String key, String value)`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getPeriod, getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ParameterDao

    public ParameterDao(Connection con)

- ## Method Details

  - ### getAddressParams

    public Map<String,String> getAddressParams(ParameterIds parameterIds)

  - ### getAddressParams

    public Map<String,String> getAddressParams(String tableId, int recordId)
    Получение параметров адресного элемента, в виде ключ - значение
    Parameters:
      `tableId` - - например "address_house", "address_street"
      `recordId` - - id записи в tableId
    Returns:

  - ### getAddressParam

    public String getAddressParam(String tableId, int recordId, String key)
    Получение параметра адресного элемента
    Parameters:
      `tableId` - - например "address_house", "address_street"
      `recordId` - - id записи в tableId
      `key` - - ключ записи
    Returns:

  - ### updateAddressParams

    public void updateAddressParams(String tableId, int recordId, String key, String value) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### deleteAddressParams

    public void deleteAddressParams(String tableId, int recordId)

  - ### deleteExctraAddressParams

    public void deleteExctraAddressParams(String tableId, List<Integer> recordIds, String key)